*, *:before, *:after {
  box-sizing: border-box;
}

:root {
  --white: #fff;
  --black: #000;
  --bg: #f8f8f8;
  --grey: #999;
  --dark: #1a1a1a;
  --light: #e6e6e6;
  --wrapper: 1000px;
  --blue: #00b0ff;
}

body {
  background-color: var(--bg);
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-rendering: optimizeLegibility;
  font-family: 'Source Sans Pro', sans-serif;
  font-weight: 400;
  background-size: cover;
  background-repeat: none;
}



.container {
	
margin-bottom: 46px;

  height:100%;
  background-color: var(--white);

}

.container .left .top:after {
  position: absolute;
  bottom: 0;
  left: 50%;
  display: block;
  height: 1px;
  content: '';
  background-color: var(--light);
  -webkit-transform: translate(-50%, 0);
          transform: translate(-50%, 0);
}

.container .right {
  position: relative;
  overflow-y : auto;
  width: 100%;
  min-height: 400px;
  max-height: 500px;
}
.container .right .top {
  width: 100%;
  height: 47px;
  padding: 15px 0px;
  margin-bottom:20px;
  background-color: #eceff1;
}
.container .right .top span {
  font-size: 15px;
  color: var(--grey);
}
.container .right .top span .name {
  color: var(--dark);
  font-family: 'Source Sans Pro', sans-serif;
  font-weight: 600;
}
.container .right .chat {
  position: relative;
  display: none;

  max-height:400px;
  padding: 0 0px 92px;
  margin-bottom:50px;
  border-width: 1px 1px 1px 0;
  border-style: solid;
  border-color: var(--light);
  height: calc(100% - 48px);
  justify-content: flex-end;
  flex-direction: column;
 
}
.container .right .chat.active-chat {
  display: block;
  display: flex;
  
}
.container .right .chat.active-chat .bubble {
  transition-timing-function: cubic-bezier(0.4, -0.04, 1, 1);
}
.container .right .chat.active-chat .bubble:nth-of-type(1) {
  -webkit-animation-duration: 0.15s;
          animation-duration: 0.15s;
}
.container .right .chat.active-chat .bubble:nth-of-type(2) {
  -webkit-animation-duration: 0.3s;
          animation-duration: 0.3s;
}
.container .right .chat.active-chat .bubble:nth-of-type(3) {
  -webkit-animation-duration: 0.45s;
          animation-duration: 0.45s;
}
.container .right .chat.active-chat .bubble:nth-of-type(4) {
  -webkit-animation-duration: 0.6s;
          animation-duration: 0.6s;
}
.container .right .chat.active-chat .bubble:nth-of-type(5) {
  -webkit-animation-duration: 0.75s;
          animation-duration: 0.75s;
}
.container .right .chat.active-chat .bubble:nth-of-type(6) {
  -webkit-animation-duration: 0.9s;
          animation-duration: 0.9s;
}
.container .right .chat.active-chat .bubble:nth-of-type(7) {
  -webkit-animation-duration: 1.05s;
          animation-duration: 1.05s;
}
.container .right .chat.active-chat .bubble:nth-of-type(8) {
  -webkit-animation-duration: 1.2s;
          animation-duration: 1.2s;
}
.container .right .chat.active-chat .bubble:nth-of-type(9) {
  -webkit-animation-duration: 1.35s;
          animation-duration: 1.35s;
}
.container .right .chat.active-chat .bubble:nth-of-type(10) {
  -webkit-animation-duration: 1.5s;
          animation-duration: 1.5s;
}
.container .right .write {
  position: fixed;
  bottom: 4px;
  left: 50%;
  height: 42px;
  padding: 0px;
  width:81%;
  background-color: #eceff1;
  transform: translate(-50%, 0%);
  border-radius: 5px;
  margin:auto;
}
.container .write input {
  font-size: 16px;
  float: left;
  width: 100%;
  height: 40px;
  padding: 0 10px;
  color: var(--dark);
  border: 0;
  outline: none;
  background-color: #eceff1;
  font-family: 'Source Sans Pro', sans-serif;
  font-weight: 400;
}
.container .write .write-link.attach:before {
	padding-right:10px;	
  display: inline-block;
cursor:pointer;
  width: 20px;
  height: 42px;
  margin-right: 11px;
  content: '';
  background-image: url("https://s3-us-west-2.amazonaws.com/s.cdpn.io/382994/attachment.png");
  background-repeat: no-repeat;
  background-position: center;
}
.container .write .write-link.attach2:before {
	position:absolute;
	left:50%;
	top:0;
	padding-right:10px;	
  display: inline-block;
cursor:pointer;
  width: 20px;
  height: 42px;
  margin-right: 11px;
  content: '';
  background-image: url("https://s3-us-west-2.amazonaws.com/s.cdpn.io/382994/attachment.png");
  background-repeat: no-repeat;
  background-position: center;
}
.container  .write .write-link.attach3:before {
	position:absolute;
	left:60%;
	top:0;
	padding-right:10px;	
  display: inline-block;
cursor:pointer;
  width: 20px;
  height: 42px;
  margin-right: 11px;
  content: '';
 background: url('https://api.iconify.design/ic:round-delete-forever.svg') no-repeat center center / contain;
  background-repeat: no-repeat;
  background-position: center;
}
.container  .write .write-link.smiley:before {
  display: inline-block;
  float: left;
  width: 20px;
  height: 42px;
    margin-right: 11px;
  content: '';
  background-image: url("https://s3-us-west-2.amazonaws.com/s.cdpn.io/382994/smiley.png");
  background-repeat: no-repeat;
  background-position: center;
}
.container  .write .write-link.send:before {
  display: inline-block;
  float: left;
  width: 20px;
  height: 42px;
  margin-right: 7px;
  content: '';
  background-image: url("https://s3-us-west-2.amazonaws.com/s.cdpn.io/382994/send.png");
  background-repeat: no-repeat;
  background-position: center;
}
.container .right .bubble {
  font-size: 16px;
  position: relative;
  display: inline-block;
  clear: both;
  margin-bottom: 8px;
  padding: 13px 14px;
  vertical-align: top;
  border-radius: 5px;
}
.container .right .bubble:before {
  position: absolute;
  top: 19px;
  display: block;
  width: 8px;
  height: 6px;
  content: '\00a0';
  -webkit-transform: rotate(29deg) skew(-35deg);
          transform: rotate(29deg) skew(-35deg);
}
.container .right .bubble.you {
  float: left;
  color: var(--white);
  background-color: var(--blue);
  align-self: flex-start;
  -webkit-animation-name: slideFromLeft;
          animation-name: slideFromLeft;
}
.container .right .bubble.you:before {
  left: -3px;
  background-color: var(--blue);
}
.container .right .bubble.me {
  float: right;
  color: var(--dark);
  background-color: #eceff1;
  margin-right:5px;
  align-self: flex-end;
  -webkit-animation-name: slideFromRight;
          animation-name: slideFromRight;
}
.container .right .bubble.me:before {
  right: -3px;
  background-color: #eceff1;
}
.container .right .conversation-start {
  position: relative;
  width: 100%;
  margin-bottom: 27px;
  text-align: center;
}
.container .right .conversation-start span {
  font-size: 14px;
  display: inline-block;
  color: var(--grey);
}
.container .right .conversation-start span:before, .container .right .conversation-start span:after {
  position: absolute;
  top: 10px;
  display: inline-block;
  width: 30%;
  height: 1px;
  content: '';
  background-color: var(--light);
}
.container .right .conversation-start span:before {
  left: 0;
}
.container .right .conversation-start span:after {
  right: 0;
}

@keyframes slideFromLeft {
  0% {
    margin-left: -200px;
    opacity: 0;
  }
  100% {
    margin-left: 0;
    opacity: 1;
  }
}
@-webkit-keyframes slideFromLeft {
  0% {
    margin-left: -200px;
    opacity: 0;
  }
  100% {
    margin-left: 0;
    opacity: 1;
  }
}
@keyframes slideFromRight {
  0% {
    margin-right: -200px;
    opacity: 0;
  }
  100% {
    margin-right: 0;
    opacity: 1;
  }
}
@-webkit-keyframes slideFromRight {
  0% {
    margin-right: -200px;
    opacity: 0;
  }
  100% {
    margin-right: 0;
    opacity: 1;
  }
}





/* Global */

.hidden {
  visibility: hidden;
}

.none {
  display: none !important;
}

.container .right .bubble.name {
	margin-bottom :20px;
}
.bubble .username{
	position:absolute;
	top :-15px;
	left :0;
	color : var(--grey);
	font-size:13px;
}
span.someoneWriting{
	position:absolute;
	top :-20px;
	left :0;
	color : var(--grey);
	font-size:14px;
	opacity:0.8;
}

.clear{
	clear:both;
}
#leftalert{
	display:block;
	width:120px;
	float:left;
}

#rightalert{display:block;
	margin-right:5px;
	width:120px;
	float:right;
	overflow:hidden;
}

#leftalert > .iconify,#rightalert > .iconify{
	font-size:2em;margin-bottom:3px;
}

#attachement{
	position:absolute;
	top :-42px;
	left :0;
	color : var(--grey);
	font-size:14px;
}
.wordwrap {


  overflow-wrap: break-word;
  word-wrap: break-word;

  -ms-word-break: break-all;
}
#remv{position:absolute;top:3px;right:3px;cursor:pointer;font-size:0.5em;content: url('https://api.iconify.design/el:remove.svg?height=10');
vertical-align: -0.125em;opacity:0.5;}

.botom{position:fixed;left:50%;bottom:0px;text-align:center;transform: translate(-50%, 0%);visibility:visible;height:auto;}
.inside{margin:auto;background:#fff;display:none;min-height:400px;max-height:600px;   border-radius: 5px;}
.btnb{visibility:visible;}
#askbutton{position:fixed;bottom:0px;right:0px;padding:5px;cursor:pointer;}